[SCM] Installer for game data files branch, wolf3d, updated. 80ebcfc19d02a451044aab81346457f6bb1ddd28

Jon Dowland jmtd at debian.org
Sat Apr 30 18:13:15 UTC 2011


The following commit has been merged in the wolf3d branch:
commit 80ebcfc19d02a451044aab81346457f6bb1ddd28
Merge: d71d366310d8654f33a966d33ae032f6e4267316 538f28a2640f954cd5a02027d4453616c422576f
Author: Jon Dowland <jmtd at debian.org>
Date:   Sat Apr 30 19:12:35 2011 +0100

    Merge remote branch 'origin/master' into wolf3d
    
    Conflicts:
    	Makefile
    	debian/changelog
    	debian/control

diff --combined Makefile
index 222ea1f,9c4cc49..8ca9197
--- a/Makefile
+++ b/Makefile
@@@ -1,6 -1,5 +1,6 @@@
  VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2-)
  DIRS := ./out ./build
 +LDLIBS = -ldynamite
  
  default: $(DIRS)
  	make -f doom-common.mk IWAD=doom  LONG="Doom"   VERSION=$(VERSION)
@@@ -10,9 -9,13 +10,14 @@@
  		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION)
  	make -f doom-common.mk IWAD=plutonia \
  		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION)
 -	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
 -	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered
 -	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) PACKAGE=quake-shareware
 -	make -f rott.mk VERSION=$(VERSION)
+ 	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
+ 		CONTROLIN=heretic/DEBIAN/control.in \
+ 		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic
++	make -f quake.mk LONG="Quake" VERSION=$(VERSION) PACKAGE=quake-registered
++	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) PACKAGE=quake-shareware
 +	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
 +	make -f rott.mk VERSION=$(VERSION)
 +	make -f wolf3d.mk VERSION=$(VERSION)
  
  $(DIRS):
  	mkdir -p $@
@@@ -25,9 -28,13 +30,14 @@@ clean
  		LONG="Final Doom: TNT: Evilution" VERSION=$(VERSION) clean
  	make -f doom-common.mk IWAD=plutonia \
  		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION) clean
 -	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
 -	make -f quake.mk LONG="Quake" VERSION=$(VERSION) clean PACKAGE=quake-registered
 -	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) PACKAGE=quake-shareware clean
 -	make -f rott.mk VERSION=$(VERSION) clean
+ 	make -f doom-common.mk IWAD=heretic VERSION=$(VERSION) \
+ 		CONTROLIN=heretic/DEBIAN/control.in \
+ 		LONG="Heretic: Shadow of the Serpent Riders" GAME=heretic clean
++	make -f quake.mk LONG="Quake" VERSION=$(VERSION) clean PACKAGE=quake-registered
++	make -f quake.mk LONG="Quake shareware" VERSION=$(VERSION) PACKAGE=quake-shareware clean
 +	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
 +	make -f rott.mk VERSION=$(VERSION) clean
 +	make -f wolf3d.mk VERSION=$(VERSION) clean
  	for d in $(DIRS); do [ ! -d "$$d" ]  || rmdir "$$d"; done
  
  .PHONY: default clean
diff --combined debian/changelog
index f6751aa,12a335c..cd5766b
--- a/debian/changelog
+++ b/debian/changelog
@@@ -1,8 -1,9 +1,10 @@@
 -game-data-packager (26) experimental; urgency=low
 +game-data-packager (26) UNRELEASED; urgency=low
  
-   * initial wolf3d support. Limited to shareware data.
+   * Add Heretic support.
+   * Add Quake support.
++  * Add wolf3d support, Limited to shareware data.
  
-  -- Jon Dowland <jmtd at debian.org>  Thu, 24 Mar 2011 12:37:21 +0000
+  -- Jon Dowland <jmtd at debian.org>  Thu, 07 Apr 2011 22:32:22 +0100
  
  game-data-packager (25) unstable; urgency=low
  
diff --combined debian/control
index 553f3cc,bdcdfcc..6d6df70
--- a/debian/control
+++ b/debian/control
@@@ -3,7 -3,7 +3,7 @@@ Section: contrib/game
  Priority: optional
  Maintainer: Debian Games Team <pkg-games-devel at lists.alioth.debian.org>
  Uploaders: Jon Dowland <jmtd at debian.org>, Simon McVittie <smcv at debian.org>
 -Build-Depends: debhelper (>> 7.0.0), fakeroot, m4
 +Build-Depends: debhelper (>> 7.0.0), fakeroot, m4, libdynamite-dev
  DM-Upload-Allowed: yes
  Standards-Version: 3.9.1
  Vcs-Git: git://git.debian.org/git/pkg-games/game-data-packager
@@@ -11,8 -11,8 +11,9 @@@ Vcs-Browser: http://git.debian.org/?p=p
  Homepage: http://wiki.debian.org/Games/GameDataPackager
  
  Package: game-data-packager
 -Depends: fakeroot, unzip | p7zip-full, ${misc:Depends}
 +Depends: fakeroot, unzip | p7zip-full, ${misc:Depends}, ${shlib:Depends},
 + dynamite (>= 0.1.1-2)
+ Suggests: jlha-utils | lha
  Conflicts: doom-package
  Replaces: doom-package
  Provides: doom-package
@@@ -28,4 -28,5 +29,5 @@@ Description: Installer for game data fi
   commercial game data).
   .
   At the moment, game-data-packager has support for building debs
-  for Doom games (Doom, Doom 2 and Final Doom), and Quake III Arena.
+  for Doom games (Doom, Doom 2 and Final Doom); Quake;
+  Quake III Arena; Heretic and Rise of the Triad.
diff --combined lib/game-data-packager-shared
index b814171,dcfbf88..48bc30d
--- a/lib/game-data-packager-shared
+++ b/lib/game-data-packager-shared
@@@ -43,6 -43,19 +43,19 @@@ warn() 
  	echo "WARNING: $*" >&2
  }
  
+ ## die(string,retcode)
+ ##      end the program, complaining with string on stderr
+ ##      and returning retcode if supplied, 2 if not.
+ die() { 
+     if [ $# -lt 2 ]; then
+         RET=2
+     else
+         RET=$2
+     fi
+ 	echo $0: $1 >&2
+ 	exit $RET
+ }
+ 
  ## verify_md5sum(file,sum)
  ##      calculates the md5sum of file and compares it to sum.
  ##      if the sum doesn't match, complains on stderr and causes the program
@@@ -51,12 -64,7 +64,7 @@@ verify_md5sum() 
  	FILE=$1
  	GOODSUM=$2
  	SUM=`md5sum $FILE|cut -d' ' -f1`
- 	if [ "$SUM" != "$GOODSUM" ]; then
- 		echo "error: $FILE's md5 checksum is unknown." >&2
- 		echo "perhaps it is corrupted?" >&2
- 		echo "quitting." >&2
- 		exit 1
- 	fi
+ 	[ "$SUM" = "$GOODSUM" ] || die "$FILE's md5 checksum is unknown"
  }
  
  ## verify_directory(dir)
@@@ -64,10 -72,7 +72,7 @@@
  ##      and causes the program to exit.
  verify_directory() {
  	DIR=$1
- 	if [ ! -d "$DIR" ]; then
- 		echo "error: $DIR is not a directory. Quitting." >&2
- 		exit 1
- 	fi
+ 	[ -d "$DIR" ] || die "$DIR is not a directory" 
  }
  
  ## verify_file(file)
@@@ -75,23 -80,7 +80,7 @@@
  ##      and causes the program to exit.
  verify_file() {
  	FILE=$1
- 	if [ ! -f "$FILE" ]; then
- 		echo "error: $FILE is not a file. Quitting." >&2
- 		exit 1
- 	fi
- }
- 
- ## die(string,retcode)
- ##      end the program, complaining with string on stderr
- ##      and returning retcode if supplied, 2 if not.
- die() { 
-     if [ $# -lt 2 ]; then
-         RET=2
-     else
-         RET=$2
-     fi
- 	echo $0: $1 >&2
- 	exit $RET
+ 	[ -f "$FILE" ] || die "$FILE is not a file"
  }
  
  ## slipstream(deb,relpath,file1,file2...)
@@@ -253,7 -242,8 +242,7 @@@ gdp_unzip() 
      if which 7za >/dev/null; then
          debug "using 7za"
          7za e -y "$zipfile" "$@" >/dev/null
 -    fi
 -    if which 7z >/dev/null; then
 +    elif which 7z >/dev/null; then
          debug "using 7z"
          7z e -y "$zipfile" "$@" >/dev/null
      else

-- 
Installer for game data files



More information about the Pkg-games-commits mailing list